Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

MediaWiki:Citizen.css: Difference between revisions

MediaWiki interface page
No edit summary
No edit summary
Line 303: Line 303:
   height: auto;
   height: auto;
   max-width: 100%;
   max-width: 100%;
}
/*Source editor drop down selections*/
.wikiEditor-ui-toolbar .group .tool-select .menu .options .option:hover {
  background-color: var(--background-color-primary--hover);
}
}



Revision as of 22:04, 13 August 2023

/* CSS DIRECTORY
[	1. Imports
[	2. Root Variables
[	3. Javascript Mods
[	4. Template Mods
[	5. Sidebar Adjustments
[	6. Header/Footer Adjustments
[	7. Fixes
[	8. Forums
[   9. Overrides
============================================================================================*/


/* Imports
============================================================================================ */
/* latin-ext */
@font-face {
  font-family: 'Azeret Mono';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(/hosted/fonts/3XFuErsiyJsY9O_Gepph-HHvZfnk3Q.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Azeret Mono';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(/hosted/fonts/3XFuErsiyJsY9O_Gepph-HHvZfnk3Q.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
  font-family: 'Kreon';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(/hosted/fonts/t5t9IRIUKY-TFF_LW5lnMR3v2DnvPNiWcz8el2c.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Kreon';
  font-style: normal;
  font-weight: 300;
  font-display: swap;
  src: url(/hosted/fonts/t5t9IRIUKY-TFF_LW5lnMR3v2DnvPNiWfT8e.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(/hosted/fonts/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkM0o58i-wi40.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Quicksand';
  font-style: normal;
  font-weight: 500;
  font-display: swap;
  src: url(/hosted/fonts/6xK-dSZaM9iE8KbpRA_LJ3z8mH9BOJvgkM0o58a-wg.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
  font-family: 'Rokkitt';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/hosted/fonts/qFdb35qfgYFjGy5hukqqhw5XeRgdi1ryd6DCGb-3vA.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Rokkitt';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/hosted/fonts/qFdb35qfgYFjGy5hukqqhw5XeRgdi1ryd6DMGb8.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}
/* latin-ext */
@font-face {
  font-family: 'Varela Round';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/hosted/fonts/w8gdH283Tvk__Lua32TysjIfqcuPP9g.woff2) format('woff2');
  unicode-range: U+0100-024F, U+0259, U+1E00-1EFF, U+2020, U+20A0-20AB, U+20AD-20CF, U+2113, U+2C60-2C7F, U+A720-A7FF;
}
/* latin */
@font-face {
  font-family: 'Varela Round';
  font-style: normal;
  font-weight: 400;
  font-display: swap;
  src: url(/hosted/fonts/w8gdH283Tvk__Lua32TysjIfp8uP.woff2) format('woff2');
  unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/* ROOT VARIABLES
[ These are variables explicitly supported by the theme.
[ https://github.com/StarCitizenTools/mediawiki-skins-Citizen/wiki/Customizing-Citizen-styles 
============================================================================================ */

/* Font replacements */
:root {
  --font-family-base: 'Quicksand', sans-serif;
  --font-family-serif: 'Kreon', serif;
  --font-family-monospace: 'Azeret Mono', monospace;
}
/* Color replacements */
:root {
  --background-color-overlay: rgba(255,255,255,0.80);
  --color-surface-0: hsl(180, 11.1%, 98.2%);
  --color-surface-2: hsl(0, 0%, 96.5%);
}
:root.skin-citizen-dark {
  --background-color-overlay: hsla(var(--color-primary__h) 20% 10% / 85%);
}


/* JAVASCRIPT MODS
[ These selectors are required for JavaScript modifications to function.
============================================================================================ */

/* Discord icon in header eith hover effect */
.mw-ui-icon-discord::before {
	background-image: url(/images/site/interface/discord.svg);
    background-image: linear-gradient(transparent,transparent),url(/images/site/interface/discord.svg);
}
@media (hover: hover){
 .citizen-discord:hover .citizen-discord__button .citizen-ui-icon::before {
	  transform: rotate3d(0,0,1,360deg);
      transition: all .25s 
 }
}
/* Completely hide old <img> tag*/
a.citizen-header__button > img:nth-child(1) {
    display: none;
}


/* SIDEBAR MODS
[ These selectors modify sidebar elements of the Citizen theme.
============================================================================================ */

/* New background-image based logo with hover effect */
.mw-logo.citizen-header__button {
    background-image: url(/images/site/logo/prismlogo.png);
    background-size: 95%;
    background-repeat: no-repeat;
    background-position: center;
    filter: drop-shadow(0px 2px 3px #0000002e)
}
.mw-logo.citizen-header__button:hover {
    background-image: url(/images/site/logo/prismlogo_ani.png);
    filter: drop-shadow(0px 2px 3px #0000002e);
    transition: all 0.15s;
    transform: scale(1.1);
} 
.mw-logo.citizen-header__button:active {
    background-image: url(/images/site/logo/prismlogo_ani.png);
    filter: drop-shadow(0px 2px 3px #0000002e);
    transition: all 0.15s;
    transform: scale(0.9);
} 
.citizen-header {
  background-color: var(--color-surface-1);
}

/* Animated bell - Should be updated to use an animation property and different tilt image*/
.mw-echo-notifications-badge.mw-echo-notification-badge-nojs.oo-ui-icon-bell.mw-echo-notifications-badge-all-read:hover {
  transform: rotate(-15deg);
  transform-origin: center 22%;
  /*image-rendering: pixelated;*/
  background-image: url(/images/site/interface/bell_left.svg);
  transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1),opacity 100ms ease;
}
.mw-echo-notifications-badge.mw-echo-notification-badge-nojs.oo-ui-icon-bell.mw-echo-notifications-badge-all-read {
  transition: all 0.1s;
}

/* Underline on sidebar titles */
.citizen-menu__heading-label {
    text-decoration: underline;
}

/* MediaWiki:Sidebar Icons */
/* These icons must have a matching class pair in Citizen.js */
.mw-ui-icon-news::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/newspaper-solid.svg);} 
.mw-ui-icon-specialpage::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/chart-simple-solid.svg);} 

.mw-ui-icon-about::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/comment-question.svg);} 
.mw-ui-icon-shop::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/shopping-cart.svg);} 
.mw-ui-icon-map::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/map.svg);} 
.mw-ui-icon-vote::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/check-to-slot-solid.svg);} 
.mw-ui-icon-commands::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/code-solid.svg);} 
.mw-ui-icon-plugins::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/puzzle-piece-solid.svg);} 

.mw-ui-icon-rules::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/clipboard-list-solid.svg);} 
.mw-ui-icon-faq::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/clipboard-question-solid.svg);} 
.mw-ui-icon-staff::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/user-shield-solid.svg);} 
.mw-ui-icon-forums::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/comments-solid.svg);} 
.mw-ui-icon-punishments::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/gavel-solid.svg);} 

.mw-ui-icon-start::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/street-view-solid.svg);} 
.mw-ui-icon-gem::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/guarani-sign-solid.svg);} 
.mw-ui-icon-level::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/arrow-up-right-dots-solid.svg);} 
.mw-ui-icon-swords::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/swords.svg);}
.mw-ui-icon-shop2::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/store-solid.svg);} 
.mw-ui-icon-claim::before {background-image: linear-gradient(transparent,transparent),url(images/site/interface/shield-halved-solid.svg);} 

/* Redundant alert/breaks sidebar*/
.mw-echo-alert {
  display: none;
}

/* HEADER/FOOTER MODS
[ These selectors modify header elements of the Citizen theme, normal and sticky.
============================================================================================ */

/* Backdrop filter on sticky header */
.citizen-body-header--sticky .mw-body-header::before {
  backdrop-filter: blur(16px);
  border-radius: 0 0 var(--border-radius--large) var(--border-radius--large);
}
/* Margin to move down the list */
.citizen-footer ul {
  margin-top: 1rem;
}
.page-Home .mw-body-footer {
  display: none;
}

/* FIXES
[ These selectors "fix" buggy or unusable elements.
============================================================================================ */

/* Make TemplateData editor popup above all else on page */
.oo-ui-windowManager-modal > .oo-ui-dialog.oo-ui-window-active {
  z-index: 999;
}

/* Missing category colors */
.catlinks li > a.new:hover {
  color: #fff;
}

/* Fixes forum search bar in FireFox*/
#mw-wikiforum-searchbox-border {
  display: inline-flex;
}

/* Visual Editor template show more button fix */
.skin-citizen .ve-ui-expandableContent-toggle {
  background-color: var(--color-surface-1);
}

/* Make inactive vote more readable */
.ajaxpoll .ajaxpoll-answer-vote div {
  background: var(--border-color-base);
}
.ajaxpoll .ajaxpoll-our-vote div {
  background: var(--background-color-primary--active);
}
.page-Home .ajaxpoll {
  margin: 0 -1.5rem -2rem -1.5rem;
}

/* Darkmode for structured discussions */
.flow-topic-titlebar {
  background-color: var(--color-surface-3);
  border-radius: var(--border-radius--medium);
  box-shadow: 0 3px 6px rgba(0,0,0,0.04),0 3px 6px rgba(0,0,0,0.0575);
}

.flow-post .flow-post-content {
  word-break: break-word;
  color: var(--color-base);
}

div > .flow-menu ul {
  border: none;
  background-color: var(--color-surface-1);
  box-shadow: var(--box-shadow-dialog);
  border-radius: var(--border-radius--medium);
}

.flow-post .flow-author .mw-usertoollinks {
  opacity: 0;
  transition: opacity 0.25s ease;
  color: var(--color-base);
}

div.mw-gallery-slideshow-img-container a.image {
  height: auto;
  max-width: 100%;
}

/*Source editor drop down selections*/
.wikiEditor-ui-toolbar .group .tool-select .menu .options .option:hover {
  background-color: var(--background-color-primary--hover);
}

/* FORUMS
[ These selectors restyle the forums interface
============================================================================================ */
/* Main display */

table.mw-wikiforum-frame {
  padding: 15px 15px 0 15px;
  background: var(--color-surface-1);
  border-radius: 8px;
  border: none;
  box-shadow: 0 3px 6px rgba(0,0,0,0.04),0 3px 6px rgba(0,0,0,0.0575);
}

td.mw-wikiforum-innerframe, th.mw-wikiforum-title, th.mw-wikiforum-admin, th.mw-wikiforum-value, th.mw-wikiforum-lastpost {
  border-bottom: unset;
  border-top: unset;
  border: unset;
}
/* Forum title radius background */
tr.mw-wikiforum-title {
  background: none;
}
table.mw-wikiforum-title tbody tr.mw-wikiforum-title th.mw-wikiforum-title {
  background: var(--color-surface-2);
  border-top-left-radius: var(--border-radius--large);
  border-bottom-left-radius: var(--border-radius--large);
}
table.mw-wikiforum-title tbody tr.mw-wikiforum-title th.mw-wikiforum-admin, table.mw-wikiforum-title tbody tr.mw-wikiforum-title th.mw-wikiforum-value, table.mw-wikiforum-title tbody tr.mw-wikiforum-title th.mw-wikiforum-value {
  background: var(--color-surface-2);
}
table.mw-wikiforum-title tbody tr.mw-wikiforum-title th.mw-wikiforum-lastpost {
  background: var(--color-surface-2);
  border-top-right-radius: var(--border-radius--large);
  border-bottom-right-radius: var(--border-radius--large);
}

td.mw-wikiforum-title, td.mw-wikiforum-admin, td.mw-wikiforum-value, td.mw-wikiforum-lastpost {
  border-bottom: 1px solid var(--border-color-base);
}
table.mw-wikiforum-title tbody tr.mw-wikiforum-marked:last-child td.mw-wikiforum-title, table.mw-wikiforum-title tbody tr.mw-wikiforum-marked:last-child td.mw-wikiforum-admin, table.mw-wikiforum-title tbody tr.mw-wikiforum-marked:last-child td.mw-wikiforum-value, table.mw-wikiforum-title tbody tr.mw-wikiforum-marked:last-child td.mw-wikiforum-lastpost {
  border-bottom: none;
}

/* Icons from icons8.com*/
p.mw-wikiforum-valuetitle a img, td.mw-wikiforum-rightside img, p.mw-wikiforum-issue img, tr.mw-wikiforum-marked td.mw-wikiforum-admin a img, div#mw-wikiforum-searchbox-border img#mw-wikiforum-searchbox-picture, th.mw-wikiforum-title a img, td.mw-wikiforum-title p.mw-wikiforum-thread img {
  width: 1.3rem;
}
/* Locked thread icon*/
table.mw-wikiforum-frame:nth-child(3) > tbody:nth-child(1) > tr:nth-child(1) > td:nth-child(1) > img:nth-child(1) {
  width: 1.5rem;
}
/* Social Icon */
td.mw-wikiforum-thread-main div.wikiforum-avatar-image img.mw-socialprofile-avatar {
  width: 5.5rem;
  border-radius: 8px;
}
/* main thread edits */
td.mw-wikiforum-thread-main {
  padding: unset;
  border: unset;
  background: unset;
}
table.mw-wikiforum-posted {
  color: var(--color-base--subtle);
  font-family: var(--font-family-base)
  font-size: 0.6rem;
  border-top: 1px solid var(--border-color-base);
  margin-bottom: unset;
}
th.mw-wikiforum-thread-top {
  font-weight: normal;
  background: var(--color-surface-2);
  border-radius: var(--border-radius--medium);
  border: 1px solid var(--border-color-base);
  margin-bottom: 15px;
  display: block;
}
tr.mw-wikiforum-sticky {
  background: unset;
}
tr.mw-wikiforum-normal {
  background: none;
}
td.mw-wikiforum-thread-main, td.mw-wikiforum-thread-sub {
  word-break: unset;
}

td.mw-wikiforum-thread-sub {
  padding: 0px 10px;
  border: 1px solid var(--border-color-base);
  background: var(--color-surface-2);
  border-radius: var(--border-radius--small);
}

#mw-wikiforum-searchbox-border {
  border: 1px solid var(--border-color-base);
  background: var(--color-surface-2);
  border-radius: var(--border-radius--small);
}

/* OVERRIDES
[ These selectors restyle the system interface
============================================================================================ */
/* Some overrides were placed in skins/Citizen/resources/variables.less */

/* Verified twitter */
.mw-logo-wordmark::after {
  content: "";
  width: 1em;
  height: 1em;
  display: inline-block;
  background-image: url(https://media.starcitizen.tools/5/5f/SCW-Verified.svg);
  position: relative;
  top: 0.4rem;
  left: 0.4rem;
}

/* PAGE STYLES
[ These selectors restyle specific pages
============================================================================================ */
.page-Ranks .table-rankname {
  font-size: 1.25rem;
  color: var(--color-base);
}
.page-Ranks .table-price {
  font-style: italic;
  color: var(--color-base--subtle);
}
.page-Ranks td:nth-child(1) {
  width: 10rem;
  font-weight: bold;
  border-right: 1px solid var(--border-color-base);
  text-align: start;
}
.page-Ranks th {
  text-align: center !important;
}
.page-Ranks td {
  text-align: center;
  height: 2rem;
}


.home-card.rank-card.rank__Pebble {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/pebble.png');
}
.home-card.rank-card.rank__Quartz {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/quarts.png');
}
.home-card.rank-card.rank__Amethyst {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/amthsyt.png');
}
.home-card.rank-card.rank__Sapphire {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/sapsipaihgi.png');
}
.home-card.rank-card.rank__Emerald {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('/hosted/images/shop/memeradl.png');
}
.home-card.rank-card.rank__Topaz {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('/hosted/images/shop/topoaqs.png');
}
.home-card.rank-card.rank__Iridium {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('/hosted/images/shop/iridujm.png');
}
.home-card.rank-card.rank__Prism {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('/hosted/images/shop/prism.png');
}
.home-card.rank-card.rank__Staff {
  background: linear-gradient(to top, var(--color-surface-1), transparent 200%), url('/hosted/images/shop/staff.png');
}

tr.infobox-image.rank__Pebble {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/pebble.png');
}
tr.infobox-image.rank__Quartz {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/quarts.png');
}
tr.infobox-image.rank__Amethyst {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/amthsyt.png');
}
tr.infobox-image.rank__Sapphire {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('https://dev.prismparty.net/hosted/images/shop/sapsipaihgi.png');
}
tr.infobox-image.rank__Emerald {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('/hosted/images/shop/memeradl.png');
}
tr.infobox-image.rank__Topaz {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('/hosted/images/shop/topoaqs.png');
}
tr.infobox-image.rank__Iridium {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('/hosted/images/shop/iridujm.png');
}
tr.infobox-image.rank__Prism {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('/hosted/images/shop/prism.png');
}
tr.infobox-image.rank__Staff {
  background: linear-gradient(to top, var(--color-surface-2), transparent 200%), url('/hosted/images/shop/staff.png');
}

/* 'Invalid 'property from: Template:Scrollbox/styles.css */
.mw-parser-output .scrollbox__container::before {
  box-shadow: inset 8px 0 12px -4px var(--color-surface-0), inset -8px 0 6px -4px var(--color-surface-0);
}

/* Template:SymbolicIcon */
.skin-citizen-dark .infobox-player__commenticon div.infobox-player__commenticon-inner a img {
  filter: invert(1);
}

/* Template:Icon */
.icon-minecraft, .icon-minecraft-sm {
	background-image: url('/hosted/images/items/icons-minecraft.webp');
}

.page-Guide_Getting_Started .card-button a.external.text {
color: white;
}